/// <reference types="react" />
export declare type Candle = [number, number, number, number, number, number, any];
export declare type CandleChartRequiredProps = {
    currentGraphData: Array<Candle>;
    toolTipFormatter: (toolTipData: CandleToolTipData) => React.ReactNode;
    maxCandles: number;
    key: string;
    paddingVert: number;
    paddingHorz: number;
    height: number;
    width: number;
    allowTooltip: boolean;
    candleWidth: [number, number, number];
    candleColor: [string, string];
    volumeBarMaxHeight: number;
    minX?: number;
    maxX?: number;
    minY?: number;
    maxY?: number;
};
export declare type CandleChartDefaultProps = {
    toolTipHeight: number;
    onMouseEnter?: (candle: Candle) => void;
    onMouseLeave?: () => void;
    onTouchEnd?: () => void;
    showVolumeBars: boolean;
};
export declare type CandleToolTipData = {
    candle: Candle;
    tooltipLeft: number;
    tooltipTop: number;
};
